tell application "Mail"
	set theSelectedMessages to selection
	set the selected_message to item 1 of the theSelectedMessages
	set message_id to the message id of the selected_message
	set message_subject to the subject of the selected_message
	set message_from to the sender of the selected_message
	set message_content to the content of the selected_message
	
	using terms from application "MailTagsScriptingSupport"
		set message_keywords to the keywords of the selected_message
		set message_duedate to the due date of the selected_message as Unicode text
		set message_priority to the priority of the selected_message as Unicode text
		set message_note to the note of the selected_message as Unicode text
		set message_project to the project of the selected_message as Unicode text
		set message_flaggedstatus to the flagged status of the selected_message as Unicode text
		
	end using terms from
	
end tell

set message_url to message_id

set _TempFile to ((path to temporary items folder) & "iGTDmessageID.txt") as text
set _TempFile1 to ((path to temporary items folder) & "iGTDmessageSubject.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDmessageFrom.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDmessageContent.txt") as text
set _TempFile4 to ((path to temporary items folder) & "iGTDmessageKeywords.txt") as text
set _TempFile5 to ((path to temporary items folder) & "iGTDmessageDueDate.txt") as text
set _TempFile6 to ((path to temporary items folder) & "iGTDmessagePriority.txt") as text
set _TempFile7 to ((path to temporary items folder) & "iGTDmessageNote.txt") as text
set _TempFile8 to ((path to temporary items folder) & "iGTDmessageProject.txt") as text
set _TempFile9 to ((path to temporary items folder) & "iGTDmessageFlaggedStatus.txt") as text

set spaceU to "," as Unicode text

try
	close access file _TempFile
end try
try
	close access file _TempFile1
end try
try
	close access file _TempFile2
end try
try
	close access file _TempFile3
end try
try
	close access file _TempFile4
end try
try
	close access file _TempFile5
end try
try
	close access file _TempFile6
end try
try
	close access file _TempFile7
end try
try
	close access file _TempFile8
end try
try
	close access file _TempFile9
end try

open for access file _TempFile with write permission
set eof file _TempFile to 0 -- clear the file contents
write message_url to file _TempFile starting at eof
close access file _TempFile

open for access file _TempFile1 with write permission
set eof file _TempFile1 to 0 -- clear the file contents
write message_subject to file _TempFile1
close access file _TempFile1

open for access file _TempFile2 with write permission
set eof file _TempFile2 to 0 -- clear the file contents
write message_from to file _TempFile2
close access file _TempFile2

open for access file _TempFile3 with write permission
set eof file _TempFile3 to 0 -- clear the file contents
write message_content to file _TempFile3
close access file _TempFile3

open for access file _TempFile4 with write permission
set eof file _TempFile4 to 0 -- clear the file contents
repeat with keyword in message_keywords
	write keyword to file _TempFile4
	write spaceU to file _TempFile4
end repeat
close access file _TempFile4

open for access file _TempFile5 with write permission
set eof file _TempFile5 to 0 -- clear the file contents
write message_duedate to file _TempFile5
close access file _TempFile5

open for access file _TempFile6 with write permission
set eof file _TempFile6 to 0 -- clear the file contents
write message_priority to file _TempFile6
close access file _TempFile6

open for access file _TempFile7 with write permission
set eof file _TempFile7 to 0 -- clear the file contents
write message_note to file _TempFile7
close access file _TempFile7

open for access file _TempFile8 with write permission
set eof file _TempFile8 to 0 -- clear the file contents
write message_project to file _TempFile8
close access file _TempFile8

open for access file _TempFile9 with write permission
set eof file _TempFile9 to 0 -- clear the file contents
write message_flaggedstatus to file _TempFile9
close access file _TempFile9
