tell application "DEVONthink Pro"
	if (exists think window 1) then
		set the_selection to selection
		if the_selection is not {} then
			if (count of the_selection) is equal to 1 then
				
				repeat with the_item in the_selection
					
					set current_title to name of the_item
					set current_content to comment of the_item
					if current_content is equal to "" then
						set current_content to plain text of the_item
						if current_content is not equal to "" then set current_content to first paragraph of current_content & return & ""
					end if
					set the_kind to kind of the_item
					set current_url to ""
					if the_kind is in {"URL", "Web Archive"} then
						set current_url to URL of the_item
					else
						if path of the_item is not "" then
							set current_url to path of the_item as Unicode text
						end if
					end if
					
				end repeat
				
			end if
		end if
	end if
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDDEVONthinkProTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDDEVONthinkProURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDDEVONthinkProNote.txt") as text

my sendToiGTD(_TempFile1, current_title)
my sendToiGTD(_TempFile2, current_url)
my sendToiGTD(_TempFile3, current_content)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD