tell application "TextWrangler"
	
	set current_doc to document 1
	set current_name to name of current_doc
	
	try
		if length of selection < 2 then
			set current_text to text of current_doc
		else
			set current_text to contents of selection
		end if
		set current_selectionStart to characterOffset of selection
		set current_selectionEnd to current_selectionStart + (length of selection)
		if on disk of current_doc then
			set f to file of current_doc
			set current_path to POSIX path of f
			set current_link to "textwrangler://" & current_path & "#" & current_selectionStart & "," & current_selectionEnd
		else
			set current_link to ""
		end if
		
	on error errMsg number errNr
		
		set current_link to ""
		set current_text to text of document 1
		
	end try
	
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDtextWranglerText.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDtextWranglerUrl.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDtextWranglerName.txt") as text

try
	close access file _TempFile1
end try

try
	close access file _TempFile2
end try

try
	close access file _TempFile3
end try

open for access file _TempFile1 with write permission
set eof file _TempFile1 to 0 -- clear the file contents
write current_text to file _TempFile1
close access file _TempFile1

open for access file _TempFile2 with write permission
set eof file _TempFile2 to 0 -- clear the file contents
write current_link to file _TempFile2
close access file _TempFile2

open for access file _TempFile3 with write permission
set eof file _TempFile3 to 0 -- clear the file contents
write current_name to file _TempFile3
close access file _TempFile3
